/*Квартирный звонок на базе DFPlayer Mini
 * http://infotex58.ru
 * Задержки по 10мс необходимы перед коммандами на плеер!!! Не трогать иначе будет "глючить"
 */
#include <SoftwareSerial.h>
#include <DFPlayer_Mini_Mp3.h>

SoftwareSerial mySerial(10, 11); // RX, TX DF Плеера
int vol = 15;                 // Громкость
void setup () {
  mySerial.begin (9600);
  pinMode(13, OUTPUT);
  mp3_set_serial (mySerial);      //Работаем с "Софтовым" портом
  //delay (10);
  //mp3_reset ();               //Ресет модуля
  delay (10);
  mp3_set_EQ (3);                 // Эквалайзер
}

void loop () {
  boolean play_state = digitalRead(3);// Кнопка на прерывании D3
  if (play_state == LOW) {
    digitalWrite(13, HIGH);
    delay (10);
    mp3_next ();
    delay(20000);         // Время звучания
    digitalWrite(13, LOW);
    for (int i = vol; i >= 1; i--) {  // Эффект FADE
      mp3_set_volume (i);
      delay (100);
    }
  }
  delay (10);
  mp3_stop ();
  delay (10);
  mp3_set_volume (vol);
}

